
Foreman - Feature #1067

Expose error messages in the web GUI

07/24/2011 06:43 PM - Marcello de Sousa

Status: Closed   

Priority: Low   

Assignee: Ohad Levy   

Category: Web Interface   

Target version: 0.4   

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

I'm not sure if this is possible but it would help a lot if Foreman would show error messages on the web interface instead of just a

500, or "Something went wrong , check the logs"

As an example, in #960 ,it would be nicer if foreman would not crash with the orphan ID, but inform you about that (the error msg or

specific report "row" itself)

Related issues:

Related to Foreman - Bug #960: User without admin rights is not able to delet... Resolved 06/06/2011

Associated revisions

Revision 11b840ca - 08/08/2011 07:13 AM - Ohad Levy

fixes #1067 - Expose error messages in the web GUI

Revision f257f11b - 08/08/2011 09:20 AM - Ohad Levy

refs #1067 - Error message should show trace too

Revision b2a6e131 - 08/09/2011 07:16 AM - Ohad Levy

refs #1067 Link to Foreman issue tracker opens in a new window

History

#1 - 08/08/2011 07:43 AM - Ohad Levy

- Status changed from New to Closed

- % Done changed from 0 to 100

Applied in changeset 11b840ca3c62673f7b1b0ca90641d0f06fd56779.
